package com.gu.openplatform.contentapi;

public class Refinement extends ApiObject {

    private final TagType type;
    private final Integer count;
    private final String displayName;

    Refinement(TagType refinementType, String id, Integer count, String displayName) {
        super(id);
        this.type = refinementType;
        this.count = count;
        this.displayName = displayName;
    }

    public Integer getCount() {
        return count;
    }

    public String getDisplayName() {
        return displayName;
    }

    public TagType getType() {
        return type;
    }
}
